Name:           python-xxhash
Version:        2.0.2
Release:        1%{?dist}
Summary:        Python Binding for xxHash

# Note LICENSE mentions GPLv2 for “xxhsum command line interface”; that is not
# included in this package, so the license is BSD only.
License:        BSD
URL:            https://github.com/ifduyue/python-xxhash
Source0:        %{pypi_source xxhash}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

BuildRequires:  gcc
BuildRequires:  pkgconfig(libxxhash)

%global common_description %{expand:
xxhash is a Python binding for the xxHash library by Yann Collet.}

%description %{common_description}


%package -n python2-xxhash
Summary:        %{summary}

%{?python_provide:%python_provide python2-xxhash}

%description -n python2-xxhash %{common_description}


%package -n python%{python3_pkgversion}-xxhash
Summary:        %{summary}

%{?python_provide:%python_provide python%{python3_pkgversion}-xxhash}

%description -n python%{python3_pkgversion}-xxhash %{common_description}


%prep
%autosetup -n xxhash-%{version}
# Remove bundled xxhash library
rm -rvf deps


%build
%set_build_flags
# Normally, no extra flags are required to link the xxhash shared library, but
# we are prepared:
export CFLAGS="${CFLAGS} $(pkgconf --cflags libxxhash)"
export LDFLAGS="${LDFLAGS} $(pkgconf --libs-only-L libxxhash)"
export LDFLAGS="${LDFLAGS} $(pkgconf --libs-only-other libxxhash)"
export XXHASH_LINK_SO='Non-empty string'
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
cd tests
PYTHONPATH='%{buildroot}%{python2_sitearch}' \
    %{__python2} -m unittest discover
PYTHONPATH='%{buildroot}%{python3_sitearch}' \
    %{__python3} -m unittest discover


%files -n python2-xxhash
%license LICENSE
%doc CHANGELOG.rst
%doc README.rst

%{python2_sitearch}/xxhash
%{python2_sitearch}/xxhash-%{version}-py%{python2_version}.egg-info


%files -n python%{python3_pkgversion}-xxhash
%license LICENSE
%doc CHANGELOG.rst
%doc README.rst

%{python3_sitearch}/xxhash
%{python3_sitearch}/xxhash-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Sep 17 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.2-1
- Initial package for EPEL7
